Bug 1378151 - [RFE][nova]: Virtual guest device role tagging (cont.)
Summary: [RFE][nova]: Virtual guest device role tagging (cont.)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: Upstream M2
: 13.0 (Queens)
Assignee: Artom Lifshitz
QA Contact: awaugama
URL:
Whiteboard:
Depends On:
Blocks: 1235009 1419948 1442136 1732816 1419231
TreeView+ depends on / blocked
 
Reported: 2016-09-21 15:22 UTC by Stephen Gordon
Modified: 2019-07-24 14:35 UTC (History)
17 users (show)

Fixed In Version: openstack-nova-17.0.0-0.20180223162252.a4a53bf.el7ost
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-27 13:26:39 UTC
Target Upstream Version:
panbalag: needinfo+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 234904 None ABANDONED vNIC tagging 2020-07-31 10:56:37 UTC
OpenStack gerrit 234917 None ABANDONED WIP: Block device tagging 2020-07-31 10:56:36 UTC
OpenStack gerrit 246299 None MERGED Added support for new block device format in vmops 2020-07-31 10:56:35 UTC
OpenStack gerrit 264014 None MERGED Add tag column to vifs and bdm 2020-07-31 10:56:35 UTC
OpenStack gerrit 264015 None MERGED Add metadata objects for device tagging 2020-07-31 10:56:35 UTC
OpenStack gerrit 264016 None MERGED Libvirt driver implementation of device tagging 2020-07-31 10:56:35 UTC
OpenStack gerrit 264017 None MERGED Compute manager device tagging support 2020-07-31 10:56:34 UTC
OpenStack gerrit 264018 None ABANDONED Device tagging user visible changes 2020-07-31 10:56:35 UTC
OpenStack gerrit 284091 None MERGED Virtual guest device role tagging 2020-07-31 10:56:34 UTC
OpenStack gerrit 303335 None MERGED libvirt: attach configdrive after instance XML 2020-07-31 10:56:34 UTC
OpenStack gerrit 304147 None MERGED libvirt: New configuration classes to parse device address element 2020-07-31 10:56:33 UTC
OpenStack gerrit 304509 None ABANDONED Device tagging compute API and RPCAPI support 2020-07-31 10:56:34 UTC
OpenStack gerrit 304510 None MERGED Device tagging API support 2020-07-31 10:56:33 UTC
OpenStack gerrit 304511 None MERGED Device tagging metadata API support 2020-07-31 10:56:33 UTC
OpenStack gerrit 307028 None ABANDONED PCI passthrough device role tagging 2020-07-31 10:56:32 UTC
OpenStack gerrit 310615 None ABANDONED DB: add path, serial and address to block devices 2020-07-31 10:56:33 UTC
OpenStack gerrit 310616 None ABANDONED DB: add bus and bus_address to virtual interfaces 2020-07-31 10:56:33 UTC
OpenStack gerrit 310617 None ABANDONED objects: adding serial, path, bus_address fields to bdm object 2020-07-31 10:56:32 UTC
OpenStack gerrit 310618 None MERGED objects: adding an update method to virtual_interface 2020-07-31 10:56:31 UTC
OpenStack gerrit 316155 None MERGED trivial: Rewrap 'virt-device-role-tagging' spec 2020-07-31 10:56:31 UTC
OpenStack gerrit 318883 None MERGED db: add a device_metadata column to instance_extra 2020-07-31 10:56:31 UTC
OpenStack gerrit 318884 None MERGED objects: new InstanceDeviceMetadata object 2020-07-31 10:56:31 UTC
OpenStack gerrit 327920 None MERGED objects: Add devices_metadata to instance object 2020-07-31 10:56:30 UTC
OpenStack gerrit 331490 None ABANDONED Add DeviceTaggingFilter to scheduler 2020-07-31 10:56:31 UTC
OpenStack gerrit 331889 None MERGED hyper-v: device tagging 2020-07-31 10:56:30 UTC
OpenStack gerrit 333781 None MERGED XenAPI: device tagging 2020-07-31 10:56:30 UTC
OpenStack gerrit 335563 None MERGED libvirt: add todo about bdms in _build_device_metadata 2020-07-31 10:56:30 UTC
OpenStack gerrit 335573 None ABANDONED Declare supports_device_tagging in all drivers 2020-07-31 10:56:30 UTC
Red Hat Product Errata RHEA-2018:2086 None None None 2018-06-27 13:28:35 UTC

Description Stephen Gordon 2016-09-21 15:22:51 UTC
Cloned from launchpad blueprint https://blueprints.launchpad.net/nova/+spec/virt-device-role-tagging.

Description:

This will provide a mechanism for the user to tag a device they have assigned to their guest with a specific role. The tag will be matched to the hardware address of the device and this mapping exposed to the guest OS via metadata service/cloud-init.

Specification URL (additional information):

http://specs.openstack.org/openstack/nova-specs/specs/mitaka/approved/virt-device-role-tagging.html

Comment 1 Stephen Gordon 2016-09-21 15:26:49 UTC
Driving use case was addressed in Newton, cloned to address technical debt follow-ups in Ocata.

Comment 2 Stephen Gordon 2016-09-27 13:39:38 UTC
Dropping https://blueprints.launchpad.net/nova/+spec/virt-device-role-tagging from the URL for now as because we are re-using the same blueprint the bot is going to continue to get the status wrong.

Comment 7 Stephen Gordon 2016-12-20 21:58:17 UTC
Hi Artom,

Where can I find the Ocata era code reviews?

Thanks,

Steve

Comment 9 Artom Lifshitz 2016-12-23 05:17:26 UTC
Stephen,

The gerrit topic is virt-device-tagged-attach-detach [1] (dunno why I put detach there, but what's done is done).

[1] https://review.openstack.org/#/q/topic:bp/virt-device-tagged-attach-detach

Comment 10 Artom Lifshitz 2017-01-09 20:04:54 UTC
Quick status update: work is progressing upstream. Cautiously optimistic that we can merge this for Ocata, even though spec has been classified as 'slow progress/at risk' [1] by the PTL (Matt). It's not clear to me Matt is aware of the presence of a Tempest test [2], and there has been some reviewer attention o n the patches, including from Matt himself.

[1] https://etherpad.openstack.org/p/nova-ocata-feature-freeze
[2] https://review.openstack.org/#/c/391947/

Comment 14 Stephen Gordon 2017-06-15 18:07:07 UTC
Moving to Queens as it seems likely at least some of these cleanup patches will still be outstanding.

Comment 16 Eoghan Glynn 2017-07-11 12:26:41 UTC
Setting to POST as all patches are landed:

https://review.openstack.org/#/q/topic:bp/virt-device-role-tagging

Comment 22 errata-xmlrpc 2018-06-27 13:26:39 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:2086


Note You need to log in before you can comment on or make changes to this bug.